%global _el_version_tag el8_7

Name:       buildsys-macros-el8
Summary:    Macros for the Buildsystem
Version:    7.0
Release:    1.%{_el_version_tag}.circle
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for Circle Linux 8.
 
%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "circle 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version_tag}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el8 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Sun Dec 04 2022 Jack An <euroford@cclinux.org> - 7.0-1.el8_7.circle
- Bump to el8_7

* Tue May 10 2022 James Xie <james@cclinux.org> - 6.0-1.el8_6.circle
- Bump to el8_6

* Wed Nov 10 2021 Jack An <euroford@cclinux.org> - 5.0-1.el8_5.circle
- Bump to el8_5

* Tue Aug 10 2021 James Xie <james@cclinux.org> - 4.0-1.el8_4.circle
- Bump to el8_4

* Tue May 11 2021 earthloong <earthloong@cclinux.org> - 3.1-1.el8_3.circle
- revert centos macros
- Bump to el8_3

* Tue May 11 2021 earthloong <earthloong@cclinux.org> - 3.1-1.el8.circle
- Bump to el8
- Fix changelog version

* Tue May 11 2021 earthloong <earthloong@cclinux.org> - 3.0-1.el8_3
- Start at el8 for first iteration
- Bump to el8_3
